﻿
.ant-modal-root {
    position: relative;
}

.ant-modal-mask {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1000;
    height: 100%;
    background-color: rgba(0, 0, 0, .45);
}

.ant-modal-wrap {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    overflow: auto;
    outline: 0;
    z-index: 1000;
}

.ant-modal-centered {
    text-align: center;
}

    .ant-modal-centered:before {
        display: inline-block;
        width: 0;
        height: 100%;
        vertical-align: middle;
        content: "";
    }

    .ant-modal-centered .ant-modal {
        top: 0;
        display: inline-block;
        text-align: left;
        vertical-align: middle;
    }

.AIDrawVipModalNew__aiDrawVipModalNew__sdOlv .ant-modal {
    padding: 30px 0;
}

.ant-modal {
    box-sizing: border-box;
    color: rgba(0, 0, 0, .85);
    font-size: 14px;
    font-variant: tabular-nums;
    line-height: 1.5715;
    list-style: none;
    font-feature-settings: "tnum";
    pointer-events: none;
    position: relative;
    top: 100px;
    width: auto;
    max-width: calc(100vw - 32px);
    margin: 0 auto;
    padding: 0 0 24px;
}

.ant-modal-content {
    position: relative;
    background-clip: padding-box;
    border: 0;
    border-radius: 2px;
    box-shadow: 0 3px 6px -4px rgba(0, 0, 0, .12), 0 6px 16px 0 rgba(0, 0, 0, .08), 0 9px 28px 8px rgba(0, 0, 0, .05);
    pointer-events: auto;
}

.AIDrawVipModalNew__aiDrawVipModalNew__sdOlv .ant-modal-content {
    background-color: transparent;
    box-shadow: none;
}

.AIDrawVipModalNew__aiDrawVipModalNew__sdOlv .ant-modal-body {
    padding: 0;
}

.ant-modal-body {
    padding: 24px;
    font-size: 14px;
    line-height: 1.5715;
    word-wrap: break-word;
}

.AIDrawVipModalNew__container__bXdtp {
    position: relative;
    width: 1184px;
    height: auto;
    background: #08080a;
    border-radius: 20px;
    overflow: hidden;
    color: #fff;
}

.AIDrawVipModalNew__header__uIVO4 {
    display: flex;
    align-items: center;
    height: 84px;
    padding: 31px 28px 26px 30px;
    border-bottom: 1px solid #262626;
}

    .AIDrawVipModalNew__header__uIVO4 .AIDrawVipModalNew__title__JRm2Z {
        font-weight: 500;
        font-size: 20px;
        color: #fff;
        line-height: 28px;
    }

    .AIDrawVipModalNew__header__uIVO4 .AIDrawVipModalNew__zdContent__dAipo {
        flex: auto;
        overflow: hidden;
        display: flex;
        align-items: center;
        justify-content: flex-end;
    }

    .AIDrawVipModalNew__header__uIVO4 .AIDrawVipModalNew__divider__vM222 {
        flex: none;
        width: 2px;
        height: 16px;
        background: #fff;
        opacity: .2;
        margin: 0 12px 0 16px;
    }

.AIDrawVipModalNew__closeBtn__m9Gye i {
    font-size: 20px;
    cursor: pointer;
}

.AIDrawVipModalNew__header__uIVO4 .AIDrawVipModalNew__zdContent__dAipo .AIDrawVipModalNew__zdText__Wy3U5 {
    font-weight: 400;
    font-size: 14px;
    color: #fff;
    line-height: 20px;
    margin-right: 6px;
}

.AIDrawVipModalNew__header__uIVO4 .AIDrawVipModalNew__zdContent__dAipo .AIDrawVipModalNew__zdCount__LEgob {
    font-weight: 400;
    font-size: 14px;
    color: #fff;
    line-height: 20px;
    margin-right: 4px;
}

.AIDrawVipModalNew__header__uIVO4 .AIDrawVipModalNew__zdContent__dAipo .AIDrawVipModalNew__goRechargeBtn__Mh3x5 {
    width: 58px;
    height: 25px;
    background: #fff;
    border-radius: 12px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 500;
    font-size: 12px;
    color: #242424;
    cursor: pointer;
}

.AIDrawVipModalNew__content__D4zvr {
    position: relative;
    height: calc(100% - 85px);
    overflow: hidden;
}

.AIDrawVipModalNew__morePrivilegeBtn__AeX18 {
    position: absolute;
    top: 15px;
    right: 25px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: hsla(0, 0%, 100%, .5);
    user-select: none;
    cursor: pointer;
}

    .AIDrawVipModalNew__morePrivilegeBtn__AeX18 .AIDrawVipModalNew__btnText__vXt4Q {
        font-weight: 400;
        font-size: 12px;
        margin-right: 5px;
    }

.AIDrawVipModalNew__orderList__U9BVi {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    gap: 15px;
    padding: 60px 25px 25px;
}

.AIDrawVipModalNew__freeOrderItem__G9bJb {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.AIDrawVipModalNew__orderItem__gAFJB {
    position: relative;
    width: 274px;
    height: auto;
    padding: 20px 15px 20px;
    background: #1c1d21;
    border-radius: 15px;
    border: 1px solid #2c3037;
}


    .AIDrawVipModalNew__orderItem__gAFJB .AIDrawVipModalNew__titleWrapper__SMEYc {
        display: flex;
        align-items: center;
        margin-bottom: 16px;
    }

        .AIDrawVipModalNew__orderItem__gAFJB .AIDrawVipModalNew__titleWrapper__SMEYc .AIDrawVipModalNew__title__JRm2Z {
            font-weight: 500;
            font-size: 16px;
            color: #fff;
            line-height: 22px;
        }

    .AIDrawVipModalNew__orderItem__gAFJB .AIDrawVipModalNew__priceWrapper__xbsev {
        position: relative;
        display: flex;
        align-items: center;
        margin-bottom: 37px;
    }

        .AIDrawVipModalNew__orderItem__gAFJB .AIDrawVipModalNew__priceWrapper__xbsev .AIDrawVipModalNew__priceSymbol__UjKIE {
            position: relative;
            top: 10px;
            font-weight: 500;
            font-size: 16px;
            color: #fff;
            line-height: 22px;
            margin-right: 1px;
        }

        .AIDrawVipModalNew__orderItem__gAFJB .AIDrawVipModalNew__priceWrapper__xbsev .AIDrawVipModalNew__priceNumber__uWaiQ {
            font-weight: 500;
            font-size: 40px;
            color: #fff;
            line-height: 56px;
            margin-right: 1px;
        }

    .AIDrawVipModalNew__orderItem__gAFJB .AIDrawVipModalNew__btn__adqOx.AIDrawVipModalNew__disabled__ua_aZ {
        background: #383c45;
        color: #6c727a;
        cursor: not-allowed;
    }

    .AIDrawVipModalNew__orderItem__gAFJB .AIDrawVipModalNew__btn__adqOx {
        width: 100%;
        height: 36px;
        background: #fff;
        border-radius: 10px;
        display: flex;
        justify-content: center;
        align-items: center;
        font-weight: 600;
        font-size: 13px;
        color: #0a0a0a;
        line-height: 18px;
        user-select: none;
        cursor: pointer;
    }

.AIDrawVipModalNew__privilegeItem__yHWJg {
    display: flex;
    align-items: center;
    margin-top: 10px;
}

    .AIDrawVipModalNew__privilegeItem__yHWJg .AIDrawVipModalNew__icon__AEyHF i {
        font-size: 9px;
        color: #fff;
        margin-right: 9px;
        font-size: 14px;
    }

.AIDrawVipModalNew__orderItem__gAFJB .AIDrawVipModalNew__privilegeItem__yHWJg .AIDrawVipModalNew__text__WsGri {
    font-weight: 400;
    font-size: 12px;
    color: #fff;
    line-height: 17px;
}

.AIDrawVipModalNew__orderItem__gAFJB .AIDrawVipModalNew__titleWrapper__SMEYc .AIDrawVipModalNew__discount__a3YbY {
    margin-left: 6px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 1px 6px;
    background-color: #ffd000;
    border-radius: 4px;
    font-weight: 500;
    font-size: 12px;
    color: #08080a;
}

.AIDrawVipModalNew__timeUnit__D5iKM {
    position: relative;
    top: 10px;
    font-weight: 500;
    font-size: 14px;
    color: #7a848c;
    line-height: 20px;
}

.AIDrawVipModalNew__rawPrice__HBE15 {
    position: relative;
    top: 10px;
    font-weight: 500;
    font-size: 14px;
    color: #7a848c;
    line-height: 20px;
    margin-left: 5px;
    text-decoration: line-through;
}

.AIDrawVipModalNew__priceWrapper__xbsev .AIDrawVipModalNew__priceOfZhiDian__eFcVk {
    position: absolute;
    top: 52px;
    left: 1px;
    font-weight: 400;
    font-size: 12px;
    color: #7a848c;
    line-height: 17px;
}

.AIDrawVipModalNew__btn__adqOx.AIDrawVipModalNew__strong__JMw6F {
    /* background: linear-gradient(90deg, #39ffb9, #02ffee); */
    background-color: #ffd000;
}

.AIDrawVipModalNew__btn__adqOx:hover {
    background-color: #ffd000;
}

.AIDrawVipModalNew__hotBadge__Nq8KF {
    position: absolute;
    top: 0;
    right: 0;
    width: 44px;
    height: 20px;
    background: linear-gradient(-45deg, #fc1f0f, #fe8221);
    border-radius: 0 15px 0 12px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 12px;
    color: #fff;
    font-weight: 500;
    font-style: italic;
    user-select: none;
}


.AIDrawVipModalNew__bundling__ehAR5 {
    width: 100%;
    height: 86px;
    padding: 14px;
    background: #25262b;
    border-radius: 8px;
    border: 1px solid #2f3037;
    margin: 15px 0 20px;
}

    .AIDrawVipModalNew__bundling__ehAR5 .AIDrawVipModalNew__zhiDianInfo__Q5FKy {
        display: flex;
        align-items: center;
        flex-wrap: nowrap;
    }

        .AIDrawVipModalNew__bundling__ehAR5 .AIDrawVipModalNew__zhiDianInfo__Q5FKy .AIDrawVipModalNew__text__WsGri {
            font-weight: 500;
            font-size: 13px;
            color: #fff;
            line-height: 18px;
            white-space: nowrap;
        }

        .AIDrawVipModalNew__bundling__ehAR5 .AIDrawVipModalNew__zhiDianInfo__Q5FKy .AIDrawVipModalNew__zhiDianRemark__cKPuT {
            font-weight: 400;
            font-size: 11px;
            color: #fff;
            line-height: 16px;
            white-space: nowrap;
            margin-left: 4px;
        }

        .AIDrawVipModalNew__bundling__ehAR5 .AIDrawVipModalNew__zhiDianInfo__Q5FKy .AIDrawVipModalNew__icon__AEyHF {
            font-size: 12px;
            color: #fff;
            margin-right: 6px;
        }

.ant-progress {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    color: rgba(0, 0, 0, .85);
    font-size: 14px;
    font-variant: tabular-nums;
    line-height: 1.5715;
    list-style: none;
    font-feature-settings: "tnum";
    display: inline-block;
}

.ant-progress-line {
    position: relative;
    width: 100%;
    font-size: 14px;
}

.ant-progress-outer {
    display: inline-block;
    width: 100%;
    margin-right: 0;
    padding-right: 0;
}

.ant-progress-inner {
    position: relative;
    display: inline-block;
    width: 100%;
    overflow: hidden;
    vertical-align: middle;
    background-color: #f5f5f5;
    border-radius: 100px;
}

.ant-progress-bg,
.ant-progress-success-bg {
    position: relative;
    background-color: #1890ff;
    border-radius: 100px;
    transition: all .4s cubic-bezier(.08, .82, .17, 1) 0s;
}

.ant-progress-status-success .ant-progress-bg {
    background-color: #52c41a;
}

.AIDrawVipModalNew__bundling__ehAR5 .AIDrawVipModalNew__picAmountInfo__yxMgL {
    font-weight: 400;
    font-size: 11px;
    color: #8c989f;
    line-height: 16px;
}

    .AIDrawVipModalNew__bundling__ehAR5 .AIDrawVipModalNew__picAmountInfo__yxMgL .AIDrawVipModalNew__picAmount__xSzJT {
        color: #fff;
        margin: 0 .5em;
    }



/* 扫码付款 */

.AIDrawVipModalNew__qrCodeModal__eP_8I .AIDrawVipModalNew__qrCodeModalContent__FuWs6 {
    position: relative;
    width: 420px;
    height: 436px;
    padding: 40px;
    background: #28292b;
    color: #fff;
    border-radius: 25px;
    overflow: hidden;
}

.AIDrawVipModalNew__closeBtn__m9Gye {
    position: absolute;
    top: 24px;
    right: 24px;
    width: 24px;
    height: 24px;
    background-image: url(https://cdn.code.znzmo.com/sucai/img/images/newCloseVipModalIcon.png), url(https://c0-cdn.znzmo.com/sucai/img/images/newCloseVipModalIcon.png);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: 50%;
    cursor: pointer;
    opacity: .6;
}

.AIDrawVipModalNew__topPart__j9PBD {
    position: absolute;
    bottom: 324px;
    left: 50%;
    transform: translate3d(-50%, 0, 0);
    width: 100%;
    display: flex;
    flex-flow: column nowrap;
}

.AIDrawVipModalNew__realPriceWrapper__O4AVE {
    font-family: PingFangSC, PingFang SC;
    font-weight: 500;
    font-size: 20px;
    color: #fff;
    line-height: 28px;
    text-align: center;
}

.AIDrawVipModalNew__realPrice__Z4vYH {
    font-family: PingFangSC, PingFang SC;
    color: transparent;
    background: linear-gradient(0deg, #38ffba, #03ffed);
    background-clip: text;
    -webkit-background-clip: text;
    margin: 0 .5em;
}

.AIDrawVipModalNew__extraInfo__na1tO {
    margin: 10px 0 0;
    max-height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-flow: row wrap;
    gap: 8px;
}


.AIDrawVipModalNew__qrCodeWrapper__HuiXx {
    position: absolute;
    left: 50%;
    bottom: 80px;
    transform: translate3d(-50%, 0, 0);
}

.PayWayQrCode__payWayQrCodeWrap__uC8rw {
    background-size: 100% 100%;
    background-repeat: no-repeat;
    position: relative;
    width: 178px;
    height: 224px;
    display: flex;
    align-items: center;
    flex-direction: column;
    margin-top: 6px;
}

.PayWayQrCode__payWayQrCodeWrapAIDrawVipNew__FNdrb {
    margin: 0 auto;
    width: 180px;
    height: 230px;
}

    .PayWayQrCode__payWayQrCodeWrapAIDrawVipNew__FNdrb .PayWayQrCode__payWayWrap__Utxsg {
        width: 100%;
        height: 30px;
    }

.PayWayQrCode__payWayQrCodeWrap__uC8rw .PayWayQrCode__payWayWrap__Utxsg {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 168px;
    height: 30px;
}

.PayWayQrCode__payWayQrCodeWrapAIDrawVipNew__FNdrb .PayWayQrCode__payWayWrap__Utxsg .PayWayQrCode__payWayItem__yGdOV {
    width: 60px;
    height: 100%;
    cursor: pointer;
}

    .PayWayQrCode__payWayQrCodeWrapAIDrawVipNew__FNdrb .PayWayQrCode__payWayWrap__Utxsg .PayWayQrCode__payWayItem__yGdOV.PayWayQrCode__active__dNMzS {
        width: calc(100% - 60px);
    }

.PayWayQrCode__payWayQrCodeWrap__uC8rw .PayWayQrCode__safeTip__SIaQa {
    margin-top: 12px;
    font-weight: 400;
    font-size: 11px;
    color: #999;
    line-height: 16px;
}

.PayWayQrCode__payWayQrCodeWrapAIDrawVipNew__FNdrb .PayWayQrCode__safeTip__SIaQa {
    margin-top: 10px;
    z-index: 1;
}

.PayWayQrCode__payWayQrCodeWrapAIDrawVipNew__FNdrb .PayWayQrCode__qrCodeWrapper__n_a_9 {
    margin-top: 10px;
    width: 180px;
    height: 180px;
    border-radius: 12px;
}

.PayWayQrCode__payWayQrCodeWrap__uC8rw .PayWayQrCode__qrCodeWrapper__n_a_9 {
    width: 150px;
    height: 150px;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}

    .PayWayQrCode__payWayQrCodeWrap__uC8rw .PayWayQrCode__qrCodeWrapper__n_a_9 .PayWayQrCode__qrCodeImg___RQcS {
        width: 100%;
        height: 100%;
        border-radius: 12px;
    }



.AIDrawVipModalNew__advice__EXFr1 {
    position: absolute;
    left: 0;
    bottom: 43px;
    width: 100%;
    text-align: center;
    font-size: 12px;
    font-family: PingFangSC, PingFang SC;
    font-weight: 400;
    color: hsla(0, 0%, 100%, .6);
    line-height: 17px;
    cursor: pointer;
}



.vipshow {
    display: none;
}

.codeshw {
    display: none;
}
